<?php
//Ao voltar do form a pk será enviado via post
if (isset($_POST['pk']))
{
    $pk = $_POST['pk'];
}
//pelo include será pego o pk já definido no arquivo anterior
if ($pk != '')
{
    require_once './Control/ControlMedia.php';
    require_once './Util/Utilidades.php';
    $controlMedia = new ControlMedia();
    $media = $controlMedia->pegarTodosMediaporGaleria($pk);
    $ar = Utilidades::OrdenarArray($media->allToArray(), 'descricao');
    $arquivoForm = 'adm_mediaForm.php';
    ?>
    <button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#divMedia','acao=inserir&lang=ptbr&pk=<?php echo $pk?>');">Novo registro</button>
    <table class="datatable" id="gridMedia">
        <thead>
            <tr>
                <?php
                $ColNomes = '<th>Nome</th><th>Descricao</th><th>Valor</th><th></th>';
                echo $ColNomes;
                ?>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($ar as $key => $row) {
                $pk = $row['mediaid'];
                $nome = $row['nome'];
                echo '<tr class="gradeA" id="mediaID_' . $pk .'">';
                echo '<td>' . $row['nome'] . '</td>';
                echo '<td>' . $row['descricao'] . '</td>';
                echo '<td>' . htmlspecialchars($row['valor']) . '</td>';
                echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#divMedia\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
                echo '</tr>';
            }
            ?>
        </tbody>
        <tfoot><?php echo $ColNomes?></tfoot>
    </table>
    <script>
        iniciarDataTable('#gridMedia');
    </script>
    <?php
            FormAjax::ExcluirRegistro('adm_mediaCMD.php');
    ?>
<?php
} else
{
    echo '<p>Salve a galeria antes de inserir as mídias</p>';
}
?>